Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 447954 - Review Request: perl-Math-Cephes - Perl interface to the cephes math library
Summary: Review Request: perl-Math-Cephes - Perl interface to the cephes math library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-05-22 16:19 UTC by Jeroen van Meeuwen
Modified: 2017-05-18 08:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-01 20:10:13 UTC


Attachments (Terms of Use)

Description Jeroen van Meeuwen 2008-05-22 16:19:36 UTC
Spec URL: http://pilot.genomicscenter.nl/genomics/SPECS/perl-Math-Cephes.spec
SRPM URL: http://pilot.genomicscenter.nl/genomics/el5/SRPMS/perl-Math-Cephes-0.45-3.el5.src.rpm
Description: Perl interface to the cephes math library

Additional Info:

EL-5, F-8, F-9 and rawhide are targeted; koji scratch builds below:

- http://koji.fedoraproject.org/koji/taskinfo?taskID=624737 (dist-f8-updates-candidate - FAILED miserably, may need some help there)
- http://koji.fedoraproject.org/koji/taskinfo?taskID=624742 (dist-f9-updates-candidate - partially succeeded at time of submission)
- http://koji.fedoraproject.org/koji/taskinfo?taskID=624748 (dist-f10 - partially succeeded at time of submission)

As far as the partially succeeded builds goes; there's an OOo build running on ppc{,64} at this moment... ;-)

Comment 1 Jeroen van Meeuwen 2008-05-22 16:37:04 UTC
I forgot some pretty stupid things in the .spec

New SPEC: http://pilot.genomicscenter.nl/genomics/SPECS/perl-Math-Cephes.spec
New SRPM:
http://pilot.genomicscenter.nl/genomics/el5/SRPMS/perl-Math-Cephes-0.45-4.el5.src.rpm

Comment 2 Nicolas Chauvet (kwizart) 2008-05-28 12:46:22 UTC
 - starting review -

Comment 4 Nicolas Chauvet (kwizart) 2008-05-28 13:25:50 UTC
Ok, so I have a design question.
This perl module claims to be an interface to the cephes math library.
This library is quite old and not really maintained as seen here:
http://www.moshier.net/#Cephes

So I wonder if either :
 - some functions of the Cephes aren't merged in nowadays math library (-lm ?)
 - If the cephes library could be built separately to be available to other
(non-perl) project. (it seems used inside grace and labplot at least) 
 - If the license of the Cephes code is clear enough:
http://lists.debian.org/debian-legal/2004/12/msg00295.html

Of course, using shared version of the library may prevent some duplicate works
in the maintainability of such library, as i expect... It would be interesting
to ask to the related project.

Unfortunately , theses question already appeared on the ml and i don't see any
final conclusion here. So i don't know how is licensed the cephes code source.






Comment 5 Patrice Dumas 2008-05-28 13:38:06 UTC
There are some files in grace (LICENSE.cephes, cephes-license.email)
explaining that cephes can be considered GPL.

But regarding cephes being built seprately, I think that it would
be much better. Still the perl module would need the source to build
the swig interface (unless I am wrong), but even in that case we could
do a *-source package and reuse it for the swig bindings. 

Comment 6 Nicolas Chauvet (kwizart) 2008-07-03 00:14:55 UTC
Any news from upstream project ? if they could handle a shared version of cephes ?
Can you attach the LICENSE.cephes and cephes-license.email, maybe we can block
FE-Legal if there is a remaining question.

Comment 7 Jeroen van Meeuwen 2008-07-04 19:29:31 UTC
I've not checked yet (/me is on vacation)

Comment 8 Patrice Dumas 2008-07-06 07:58:03 UTC
There are no questions with regard with license, at least no more 
than for grace. Files are at:

http://cvs.fedoraproject.org/viewcvs/rpms/grace/devel/cephes-license.email?rev=1.1&view=auto

http://cvs.fedoraproject.org/viewcvs/rpms/grace/devel/LICENSE.cephes?rev=1.1&view=auto

Comment 9 Jeroen van Meeuwen 2008-07-11 12:06:28 UTC
Please continue the review as possibly using a shared version of cephes or the
math library instead isn't suitable to be addressed in the initial package review.

Comment 10 Nicolas Chauvet (kwizart) 2008-07-17 08:57:28 UTC
Build Error when tested in mock Fedora 9 i386
(whereas local rpmbuild worked).
This might be caused by a parallel make problem as the libmd.a is created after
this linking error.
---------------
builddir/build/BUILD/Math-Cephes-0.45/libmd/libmd.a: file not recognized: File
truncated
collect2: ld returned 1 exit status
---------------
Just remove %{?_smp_mflags} and add a note.

For the same version, arch: I also have lot of:
-------------
Cephes_wrap.c: In function '_wrap_cmplx_r_set':
Cephes_wrap.c:1326: warning: null argument where non-null required (argument 1)
-------------



Comment 13 Nicolas Chauvet (kwizart) 2008-10-28 15:30:23 UTC
I cannot review this.
Actually I'm facing the same problem with perl-EV (#448613)
And I'm not strong enough in perl to enforce the request of having libraries built shared.

Comment 14 Jan Klepek 2009-08-31 17:24:02 UTC
any update?
there is new version of perl-math-cephes in cpan

Comment 15 Terje Røsten 2010-02-16 16:05:36 UTC
I consider a shared cephes library nice to have, but not a blocker. 

The library is for math functions which are > 200 years old, there should not be a need to update this software every year.

Import the package and open a ticket against perl-Math-Cephes with a shared libs request, add info about grace and labplot.

If no one objects on this point I will do the review.

Any way, please update to latest release.

Comment 16 Terje Røsten 2010-03-01 10:15:02 UTC
Hi Jeroen, could you please update to latest release Math-Cephes-0.47:

 http://search.cpan.org/dist/Math-Cephes/

Comment 17 manuel wolfshant 2010-07-16 03:11:44 UTC
Jeroen, are you still interested in this package ? If so, please update the spec to use the most recent release of Math-Cephes and, unless Terje wants to do it, I'll try to do the review.

Comment 18 Jason Tibbitts 2010-11-01 20:10:13 UTC
It's been a few months since the last comment, and over two years and several questions with no response from the submitter.  I'm just going to close this.


Note You need to log in before you can comment on or make changes to this bug.